# -*- coding: cp1252 -*-
# (C) by Fred Bayer <fred@bayerf.de>
#
"""Set the F4LW current time."""

from f4lw import uploadRTC, uploadMem
import time
import sys
import astro

if __name__ == "__main__":
  if len(sys.argv) == 3:
    lat = float(sys.argv[1])
    lon = float(sys.argv[2])
  elif len(sys.argv) == 1:
    lat = lon = None
  else:
    sys.stderr.write('usage: setclock [latitude longitude]\n')
    sys.exit(2)
  now = time.localtime()
  uploadRTC(astro.timeAsRtc(now, lat!=None))
  if lat:
    uploadMem(astro.makeSunblock(now.tm_year, lat, lon))
